Bug 59087 - gcc-3.1-0.18 compiler abort with -fssa
Summary: gcc-3.1-0.18 compiler abort with -fssa
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-30 19:25 UTC by Valdis Kletnieks
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-30 19:26:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Source code for gcc abort with -fssa (56.87 KB, application/octet-stream)
2002-01-30 19:26 UTC, Valdis Kletnieks
no flags Details

Description Valdis Kletnieks 2002-01-30 19:25:54 UTC
Description of Problem: Compiler aborts when compiling attached code with -fssa


Version-Release number of selected component (if applicable):
gcc-3.1-0.18

How Reproducible:
Compile the attached code

Steps to Reproduce:
1. gunzip ssa-botch-2.i.gz
2. gcc -c -O3 -fssa ssa-botch-2.i
3. watch the compiler abort

Actual Results:
[~]2 gcc -c -O -fssa ssa-botch-2.i 
event-unixoid.c: In function `poll_fds_for_input':
event-unixoid.c:235: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
[~]2 gcc -c -O ssa-botch-2.i 
[~]2

Expected Results:
A correct compile

Additional Information:
Code compiles if -fssa is omitted

Comment 1 Valdis Kletnieks 2002-01-30 19:26:33 UTC
Created attachment 43998 [details]
Source code for gcc abort with -fssa

Comment 2 Jakub Jelinek 2002-02-06 17:02:34 UTC
Fixed in gcc-3.1-0.21.


Note You need to log in before you can comment on or make changes to this bug.